View Issue Details

IDProjectCategoryView StatusLast Update
0002804SketcherBugpublic2017-04-28 12:00
ReportertomkcookAssigned Toabdullah 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002804: Mirroring sketches misses some constraints
DescriptionCreating a mirror of a sketch does not copy all constraints. At least angle constraints are not copied.
Steps To ReproduceCreate a fully-constrained sketch including an angle constraints.
Close the sketch.
Select Sketch -> Mirror Sketch.
Open the mirrored sketch - it is under-constrained.
Additional InformationIf someone can point me to the relevant bit of the source, I'll fix this.
TagsNo tags attached.

Activities

2016-12-01 11:36tomkcookNew Issue

Kunda1

2017-01-16 09:48

manager   ~0007817

Forum thread: http://forum.freecadweb.org/viewtopic.php?f=10&t=19942
2017-02-15 06:06kkremitzkiFile Added: bug2804.fcstd
2017-02-15 06:06kkremitzkiStatusnew => confirmed
2017-02-15 06:06kkremitzkiTarget Version => 0.17

kkremitzki

2017-02-15 06:06

administrator  

bug2804.fcstd (9,261 bytes)

kkremitzki

2017-02-15 06:07

administrator   ~0008304

Confirmed in:

OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10064 (Git)
Build type: None
Branch: master
Hash: d7ed8c4383f394f64dd9314eefa00efae02fb32f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

jnxd

2017-02-25 19:40

developer   ~0008435

@tomcook, here the command to mirror sketch is defined. The task creation and then the mirror creation should be happening somewhere in the activated() method. Hope it helps.

jnxd

2017-02-25 19:41

developer   ~0008436

@tomkcook ^^
2017-03-11 14:25jnxdTag Attached: #lowhangingfruit
2017-04-26 12:13Kunda1Tag Detached: #lowhangingfruit
2017-04-26 12:13Kunda1Assigned To => abdullah
2017-04-26 12:13Kunda1Statusconfirmed => assigned

Kunda1

2017-04-26 12:16

manager   ~0008778

Last edited: 2017-04-28 12:00

View 3 revisions

Fix committed by Abdullah in c:FreeCAD:b6833e88: ( FreeCAD Pull Request 692 )
Resolving ticket.
Bugtracker note: please attach changeset commit to ticket before closing

2017-04-26 12:16Kunda1Statusassigned => resolved
2017-04-26 12:16Kunda1Resolutionopen => fixed
2017-04-26 12:16Kunda1Fixed in Version => 0.17
2017-04-28 11:59Kunda1Note Edited: 0008778View Revisions
2017-04-28 12:00Kunda1Note Edited: 0008778View Revisions

Issue History

Date Modified Username Field Change
2016-12-01 11:36 tomkcook New Issue
2017-01-16 09:48 Kunda1 Note Added: 0007817
2017-02-15 06:06 kkremitzki File Added: bug2804.fcstd
2017-02-15 06:06 kkremitzki Status new => confirmed
2017-02-15 06:06 kkremitzki Target Version => 0.17
2017-02-15 06:07 kkremitzki Note Added: 0008304
2017-02-25 19:40 jnxd Note Added: 0008435
2017-02-25 19:41 jnxd Note Added: 0008436
2017-03-11 14:25 jnxd Tag Attached: #lowhangingfruit
2017-04-26 12:13 Kunda1 Tag Detached: #lowhangingfruit
2017-04-26 12:13 Kunda1 Assigned To => abdullah
2017-04-26 12:13 Kunda1 Status confirmed => assigned
2017-04-26 12:16 Kunda1 Status assigned => resolved
2017-04-26 12:16 Kunda1 Resolution open => fixed
2017-04-26 12:16 Kunda1 Fixed in Version => 0.17
2017-04-26 12:16 Kunda1 Note Added: 0008778
2017-04-28 11:59 Kunda1 Note Edited: 0008778 View Revisions
2017-04-28 12:00 Kunda1 Note Edited: 0008778 View Revisions